core.utilities / JsonSupport

# JsonSupport

`object JsonSupport`

Utilities and serialisers for working with JSON representations of basic types. This adds Jackson support for the java.time API, some core types, and Kotlin data classes.

### Types

CalendarDeserializer | `object CalendarDeserializer`
LocalDateDeserializer | `object LocalDateDeserializer`
LocalDateKeyDeserializer | `object LocalDateKeyDeserializer`
PartyDeserializer | `object PartyDeserializer`
PartySerializer | `object PartySerializer`
SecureHashDeserializer | `class SecureHashDeserializer<T : SecureHash>` Implemented as a class so that we can instantiate for T
SecureHashSerializer | `object SecureHashSerializer`
ServiceHubObjectMapper | `class ServiceHubObjectMapper`
ToStringSerializer | `object ToStringSerializer`

### Functions

createDefaultMapper | `fun createDefaultMapper(identities: IdentityService): <ERROR CLASS>`